---
title: DOMPointReadOnly.w
slug: Web/API/DOMPointReadOnly/w
tags:
  - API
  - Coordinates
  - DOM
  - DOMPointReadOnly
  - Geometry
  - Geometry Interfaces
  - Point
  - Position
  - Property
  - Read-only
  - Reference
  - W
  - perspective
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>DOMPointReadOnly</strong></code> interface's <code><strong>w</strong></code> property holds the point's perspective value, <code>w</code>, for a read-only point in space.</span> If your script needs to be able to change the value of this property, you should instead use the {{domxref("DOMPoint")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <var>perspective</var> = <var>someDOMPointReadOnly</var>.w</pre>

<h3 id="Value">Value</h3>

<p>A double-precision floating-point value indicating the <code>w</code> perspective value for the point. This value is <strong>unrestricted</strong>, meaning that it is allowed to be infinite or invalid (that is, its value may be {{jsxref("NaN")}} or {{jsxref("Infinity", "±Infinity")}}). The default is <code>1.0</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-dompointreadonly-w', 'w')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointReadOnly.w")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The other coordinate properties: {{domxref("DOMPointReadOnly.x", "x")}}, {{domxref("DOMPointReadOnly.y", "y")}}, and {{domxref("DOMPointReadOnly.z", "z")}}.</li>
</ul>
